%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitelib: %define tcl_sitelib %{_datadir}/tcl%{tcl_version}}

Summary: Collection of widgets and other packages for Tk
Name: tklib
Version: 0.4.1
Release: 7%{?dist}
License: TCL
Group: Development/Libraries
Source: http://downloads.sourceforge.net/tcllib/tklib-0.4.1.tar.gz
Patch0: tklib-0.4.1-makecheck.patch
URL: http://tcllib.sourceforge.net/
BuildArch: noarch
Requires: tcl(abi) = 8.5 tk tcllib
BuildRequires: tk >= 0:8.3.1 tcllib
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This package is intended to be a collection of Tcl packages that provide
Tk utility functions and widgets useful to a large collection of Tcl/Tk
programmers.

%prep
%setup -q
%patch0 -p1
# Remove some execute permission bits on files that aren't executable
# to suppress some rpmlint warnings.
chmod a-x modules/plotchart/*.tcl
chmod a-x modules/swaplist/*.tcl

iconv --from=ISO-8859-1 --to=UTF-8 modules/ctext/ctext.man > modules/ctext/ctext.man.new
mv -f modules/ctext/ctext.man.new modules/ctext/ctext.man

%build
# Override the setting for 'libdir'.  If this isn't done then the
# platform-independent script files will get installed in an arch-specific
# directory (such as /usr/lib or /usr/lib64).
%configure --libdir=%{tcl_sitelib}
# Don't bother running 'make' because there's nothing to build.

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%check
make check

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc PACKAGES README README-0.4.txt ChangeLog license.terms
%{tcl_sitelib}/tklib*
%{_mandir}/*/*

%changelog
* Thu Jan 3 2008 Wart <wart at kobold.org> 0.4.1-7
- Rebuild for Tcl 8.5

* Sun Aug 26 2007 Wart <wart at kobold.org> 0.4.1-6
- License tag clarification
- Move to a tcl-specific directory for faster loading

* Mon Aug 28 2006 Wart <wart at kobold.org> 0.4.1-5
- Rebuild for FC-6

* Thu Feb 16 2006 Wart <wart at kobold.org> 0.4.1-4
- Rebuild for FC-5

* Fri Dec 2 2005 Wart <wart at kobold.org> 0.4.1-3
- Minor specfile improvements.

* Thu Dec 1 2005 Wart <wart at kobold.org> 0.4.1-2
- Add check stage after the install, as well as a patch to the check script
  included in the package.

* Sun Nov 27 2005 Wart <wart at kobold.org> 0.4.1-1
- Initial spec file.
